Subject: Re: linux-next: Tree for March 1 (staging/winbond)

From: Greg KH <[email-masked]>
Date: Tue, 1 Mar 2011 15:07:07 -0500

On Tue, Mar 01, 2011 at 11:39:30AM -0800, Randy Dunlap wrote:
> On Tue, 1 Mar 2011 21:35:59 +0200 Pekka Enberg wrote:
> 
> > On Tue, Mar 1, 2011 at 9:19 PM, Randy Dunlap <[email-masked]> wrote:
> > > On Tue, 1 Mar 2011 21:10:23 +0200 Pekka Enberg wrote:
> > >
> > >> On Tue, Mar 1, 2011 at 8:49 PM, Randy Dunlap <[email-masked]> wrote:
> > >> > On Tue, 1 Mar 2011 18:11:19 +1100 Stephen Rothwell wrote:
> > >> >
> > >> >> Hi all,
> > >> >>
> > >> >> Changes since 20110228:
> > >> >
> > >> >
> > >> > commit ddee7e28e7d5e4ba2b8537c6a59b035745c250bb
> > >> > Author: Pekka Enberg <[email-masked]>
> > >> > Date:   Sun Nov 28 23:00:01 2010 +0200
> > >> >    Staging: w35und: Remove empty sysdef.h header
> > >> >
> > >> >
> > >> > This header should not have been empty, since in
> > >> >
> > >> > commit 412dc7f368bf10a8049a8a4c41abbfd0108742e7
> > >> > Author: Randy Dunlap <[email-masked]>
> > >> > Date:   Fri Nov 19 09:30:18 2010 -0800
> > >> >    staging: fix winbond build, needs delay.h
> > >> >
> > >> > I added delay.h to it.  And now we have the same build
> > >> > errors that I fixed last November:
> > >> >
> > >> > drivers/staging/winbond/phy_calibration.c:986: error: implicit declaration of function 'msleep'
> > >> > drivers/staging/winbond/phy_calibration.c:1555: error: implicit declaration of function 'udelay'
> > >> > drivers/staging/winbond/reg.c:893: error: implicit declaration of function 'msleep'
> > >> > drivers/staging/winbond/reg.c:1169: error: implicit declaration of function 'udelay'
> > >>
> > >> Strange. I didn't see the problem. We should add delay.h to
> > >> phy_calibration.c and reg.c instead. Care to make a patch?
> > >> --
> > >
> > > No thanks, I'll let the staging people do that.
> > 
> > Hmm, commit cecf826df8648c843ea8db63b1f82c154a74db36 ("staging:
> > winbond: needs <linux/delay.h> for msleep and friends") should fix it.
> > Isn't it in linux-next yet?

It should be in there tomorrow, the linux-next pull-time happened after
I pushed out my trees.

thanks,

greg k-h